×
Namespaces

Variants
Actions

Archived:为Nokia Qt SDK增加新的Symbian SDK开发平台

From Nokia Developer Wiki
Jump to: navigation, search

Archived.png存档: 这篇文章是存档,因为考虑到今天它与第三方开发者建立商业解决方案不相关。

Nokia Qt SDK has been replaced by (significantly different) Qt SDK. This article is no longer valid.

Article Metadata

兼容于
平台:
Symbian

文章
bugatcuteqt 在 31 May 2010 创建
最后由 hamishwillee 在 19 Jun 2012 编辑

概述

在Nokia Qt SDK中,用户能很方便地为Symbian创建Qt应用。但是开发者希望使用某些Symbian代码或者利用Symbian带的一些开发库时,Nokia Qt SDK的标准安装包中并没有提供这种支持。开发者需要安装标准的Symbian/S60 SDK ,然后通过配置Nokia Qt SDK,从而支持Qt和Symbian代码的混合编程。

开发环境准备

配置QtCreator

假设你安装的Symbian SDK版本是S60 5th SDK,那么通过QtCreator的应用程序菜单
Tools->Options->Qt4->"Qt Versions",那么可以看到在S60 5th SDK上的Qt已经自动配置上了。如果没有被配置上,可以点旁边的加号按钮进行手动配置

NDK Add Symbian SDK 1.png

为了保证能够编译Symbian应用和能够利用S60中的模拟器进行调试,需要配置GCCE和Carbide的路径,如下图

NDK Add Symbian SDK 2.png

配置完以上选项后,你可以在QtCreator中的工程选项页中,能够看到Symbian Devices中,可以选择S60 5th SDK作为目标平台,也可以增加一个独立的平台"Symbian Emulator"

NDK Add Symbian SDK 3.png

接下来就可以和Nokia Qt SDK中自带的Symbian SDK一样进行编译和调试、运行了。

This page was last modified on 19 June 2012, at 07:37.
188 page views in the last 30 days.

Was this page helpful?

Your feedback about this content is important. Let us know what you think.

 

Thank you!

We appreciate your feedback.

×